\usepackage{amsmath, amsthm, amssymb}
\usepackage{graphicx}
\usepackage{caption, subcaption}
\usepackage{mathtools}
\usepackage{blindtext}
\usepackage{color}
\usepackage{lastpage} % for \pageref{LastPage}